Package org.drinkless.tdlib

# Class TdApi.SearchChats

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Chats>
org.drinkless.tdlib.TdApi.SearchChats

Enclosing class:
  `TdApi`

public static class TdApi.SearchChats extends TdApi.Function<TdApi.Chats>
Searches for the specified query in the title and username of already known chats. This is an offline method. Returns chats in the order seen in the main chat list.

Returns `Chats`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of chats to be returned.
  `String`
  `query`
  Query to search for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchChats()`
  Default constructor for a function, which searches for the specified query in the title and username of already known chats.
  `SearchChats(String query, int limit)`
  Creates a function, which searches for the specified query in the title and username of already known chats.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### query

    public String query
    Query to search for. If the query is empty, returns up to 50 recently found chats.

  - ### limit

    public int limit
    The maximum number of chats to be returned.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchChats

    public SearchChats()
    Default constructor for a function, which searches for the specified query in the title and username of already known chats. This is an offline method. Returns chats in the order seen in the main chat list.

    Returns `Chats`

  - ### SearchChats

    public SearchChats(String query, int limit)
    Creates a function, which searches for the specified query in the title and username of already known chats. This is an offline method. Returns chats in the order seen in the main chat list.

    Returns `Chats`

    Parameters:
      `query` - Query to search for. If the query is empty, returns up to 50 recently found chats.
      `limit` - The maximum number of chats to be returned.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Chats>`
    Returns:
      this.CONSTRUCTOR